package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;
import ${basePackage}.frame.validation.Dict;

/**
 * FileRequest -  文件查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class FileFindRequest extends BaseFindRequest {

    /**
     * 文件名称
     */
    private String name;

    /**
     * 文件类型
     */
    @Dict(name = "FILE_TYPE")
    private String fileType;

    /**
     * 扩展属性1
     */
    private String attribute1;

    /**
     * 扩展属性2
     */
    private String attribute2;

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFileType() {
        return this.fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getAttribute1() {
        return this.attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return this.attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }
}
